﻿using System;
using System.Collections;
using System.Collections.Generic;
using System.Collections.Specialized;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Infragistics.Web.UI;
namespace CompassNew
{
    public partial class TestGrid : System.Web.UI.Page
    {
        private ProjectData prjData;
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!Page.IsPostBack)
            {
                prjData = ProjectData.Initialize;
                LoadData();
            }
        }
        
        protected void LoadData()
        {
            string strCommand;
            sqlRefresh.ConnectionString = ProjectData.DatabaseConnectionString;
            sqlRefresh.SelectCommandType = SqlDataSourceCommandType.Text;
            strCommand = "GetLastDataRefresh ";
            sqlRefresh.SelectCommand = strCommand;
            sqlRefresh.DataBind();
            igGrid.DataSource = sqlRefresh;
            igGrid.DataBind();
            //upTest.Update();
        }
        protected void igGrid_ColumnSorted(object sender, Infragistics.Web.UI.GridControls.SortingEventArgs e)
        {
            LoadData();
        }

        protected void igGrid_ItemCommand(object sender, Infragistics.Web.UI.GridControls.HandleCommandEventArgs e)
        {
            TemplateContainer container = ((Infragistics.Web.UI.TemplateContainer)(sender as Button).Parent);
            Infragistics.Web.UI.GridControls.GridRecordItem item = container.Item as Infragistics.Web.UI.GridControls.GridRecordItem;

            //set the text of the label inside the dialog window to show the datakey 
            //of the clicked row and show the dialog window itself 
            lblMsg.Text = "Current Selected item: " + item.Row.DataKey[0].ToString(); 
        }

        protected void igGrid_DataBound(object sender, EventArgs e)
        {
            string str1 = e.GetType().ToString();
        }

        protected void igGrid_InitializeRow(object sender, Infragistics.Web.UI.GridControls.RowEventArgs e)
        {
            e.Row.Items[0].Value = "<img src=\"img/dashboard.png\"></img>";
        }

        protected void testbtn_Click(object sender, EventArgs e)
        {
            TemplateContainer container = ((Infragistics.Web.UI.TemplateContainer)(sender as Button).Parent);
            Infragistics.Web.UI.GridControls.GridRecordItem item = container.Item as Infragistics.Web.UI.GridControls.GridRecordItem;

            //set the text of the label inside the dialog window to show the datakey 
            //of the clicked row and show the dialog window itself 
            lblMsg.Text = "Current Selected item: " + item.Row.DataKey[0].ToString(); 
        }
    }
}